Name:           hostapd
Version:        0.6.9
Release:        2
Summary:        IEEE 802.11 AP, IEEE 802.1X/WPA/WPA2/EAP/RADIUS Authenticator
Group:          System Environment/Daemons
License:        GPLv2+
URL:            http://w1.fi/hostapd
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)  
Source0:        %{URL}/%{name}-%{version}.tar.gz
Source1:        %{name}.init
Source2:        %{name}.conf
Source3:        %{name}.sysconfig
Patch0:         hostapd-MSG_DEBUG.patch

BuildRequires:  libnl-devel >= 1.1
BuildRequires:  openssl-devel
BuildRequires:  gzip

Requires(post): chkconfig
Requires(preun): chkconfig
# This is for /sbin/service
Requires(preun): initscripts


%description
hostapd is a user space daemon for access point and authentication
servers.  It implements IEEE 802.11 access point management, IEEE
802.1X/WPA/WPA2/EAP Authenticators and RADIUS authentication server.

hostapd is designed to be a "daemon" program that runs in the back-
ground and acts as the backend component controlling authentication.
hostapd supports separate frontend programs and an example text-based
frontend, hostapd_cli, is included with hostapd.

%package logwatch
Summary: Logwatch scripts for hostapd
Requires: %{name} = %{version}-%{release} logwatch perl
%description logwatch
Logwatch scripts for hostapd


%prep
%setup -q
%patch0 -p1
sed -i -e 's/-O2 -Wall -g/${RPM_OPT_FLAGS}/' hostapd/Makefile

%build
cd hostapd
cat defconfig | sed -e '/^#CONFIG_DRIVER_NL80211=y/s/^#//' >  .config
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

# init scripts
install -d %{buildroot}/%{_initddir}
install -m 0755 %{SOURCE1} %{buildroot}/%{_initddir}/hostapd

# logwatch files
install -d %{buildroot}/%{_sysconfdir}/logwatch/conf/services
install -m 0644 hostapd/logwatch/hostapd.conf  \
        %{buildroot}/%{_sysconfdir}/logwatch/conf/services/hostapd.conf
install -d %{buildroot}/%{_sysconfdir}/logwatch/scripts/services
install -m 0755 hostapd/logwatch/hostapd \
        %{buildroot}/%{_sysconfdir}/logwatch/scripts/services/hostapd

# config files
install -d %{buildroot}/%{_sysconfdir}/%{name}
install -m 0644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/%{name}/hostapd.conf

install -d %{buildroot}/%{_sysconfdir}/sysconfig
install -m 0644 %{SOURCE3} %{buildroot}/%{_sysconfdir}/sysconfig/hostapd

# binaries
install -d %{buildroot}/%{_sbindir}
install -m 0755 hostapd/hostapd %{buildroot}%{_sbindir}/hostapd
install -m 0755 hostapd/hostapd_cli %{buildroot}%{_sbindir}/hostapd_cli

# runtime state directory
install -d %{buildroot}/%{_localstatedir}/run/%{name}

# man pages
/usr/bin/gzip -c hostapd/hostapd_cli.1 > hostapd/hostapd_cli.1.gz
/usr/bin/gzip -c hostapd/hostapd.8 > hostapd/hostapd.8.gz
install -d %{buildroot}%{_mandir}/man{1,8}
install -m 0644 hostapd/hostapd_cli.1.gz %{buildroot}%{_mandir}/man1
install -m 0644 hostapd/hostapd.8.gz %{buildroot}%{_mandir}/man8

# prepare docs
cp hostapd/README-WPS ./README-WPS.hostapd
cp hostapd/README ./README.hostapd
cp hostapd/logwatch/README ./README.logwatch


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README README.hostapd README-WPS.hostapd
%doc hostapd/hostapd.conf hostapd/wired.conf
%doc hostapd/hostapd.accept hostapd/hostapd.deny
%doc hostapd/hostapd.eap_user hostapd/hostapd.radius_clients
%doc hostapd/hostapd.sim_db hostapd/hostapd.vlan hostapd/hostapd.wpa_psk
%config(noreplace) %{_sysconfdir}/%{name}/hostapd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/hostapd
%{_initddir}/hostapd
%{_sbindir}/hostapd
%{_sbindir}/hostapd_cli
%dir %{_sysconfdir}/%{name}
%dir %{_localstatedir}/run/%{name}
%{_mandir}/man1/*
%{_mandir}/man8/*

%files logwatch
%defattr(-,root,root,-)
%doc README.logwatch
%config(noreplace) %{_sysconfdir}/logwatch/conf/services/hostapd.conf
%{_sysconfdir}/logwatch/scripts/services/hostapd


%post
/sbin/chkconfig --add %{name}


%preun
if [ $1 = 0 ]; then
        /sbin/service %{name} stop >/dev/null 2>&1
        /sbin/chkconfig --del %{name}
fi


%changelog
* Wed Dec 16 2009 John W. Linville <linville@redhat.com> - 0.6.9-2
- Initial build
- Start release at 2 to avoid conflicts w/ previous attempts by others
